Subject: Re: core dump to hpfcc

From: Zheng Gengbing <[email-masked]>
Date: Thu, 9 May 1996 09:10:40 +0800 (EAT)

On Wed, 8 May 1996, Guansong Zhang wrote:

> After this, no test let hpfcc memory fault on rs6000! (I will sent back program
> from NAG tommorow, we may meet somethng new.)
> 
> 
> 1.The following program in test90 will cause hpfcc memory fault:
> 
> detour.dep, survey.dep, tour.dep on my machine. the following is my dbx result,
> hope it will help.
> 
> 
> (dbx) run detour.dep
> hpfcc: line 34 error 107:Llnd variant 319 Must have a  type !
> hpfcc: line 34 error 582:keyword unit : type mismatched with grammar
> hpfcc: line 34 error 583:keyword "end" need  a label expr
> hpfcc: line 76 error 103:Type not match !
> 
> segmentation violation in is_scalar at line 138 in file "util.c"
>   138           if (type->variant == T_ARRAY ) return 0;
> 
> (dbx) where
> 
> The other two seems have same problem with this.
>

	These core dump is due to the  if ( .not. association() ) .

> 
> 2 test1.f in comprehensive test.
> 
> (dbx) run test1.dep
> hpfcc: line 93 error 148:Type not match in assignment.
> hpfcc: line 291 error 478:component of a sequential derived type must be a
> sequential type
> hpfcc: line 291 error 478:component of a sequential derived type must be a
> sequential type
> hpfcc: line 297 error 478:component of a sequential derived type must be a
> sequential type
> hpfcc: line 447 error 446:'fun3' should be an function name
> hpfcc: line 458 error 446:'sqrt' should be an function name
> hpfcc: line 513 error 443:attribute specification error
> hpfcc: line 840 error 192:Constant expression expected in initialization
> expression .
> hpfcc: line 840 error 192:Constant expression expected in initialization
> expression .
> hpfcc: line 1089 error 516:sin cannot be both EXTERNAL and INTRINSIC
> hpfcc: line 1089 error 516:cos cannot be both EXTERNAL and INTRINSIC
> hpfcc: line 1093 error 516:tan cannot be both EXTERNAL and INTRINSIC
> hpfcc: line 1273 error 529:stmt function misplaced
> hpfcc: line 1277 error 529:stmt function misplaced
> hpfcc: line 1281 error 10:Illegal statment in there:163 .
> 
> segmentation violation in check_spec_expr at line 431 in file "expr.c"
>   431                   if (llnd->type->variant == T_ARRAY) return 204;
> 
> (dbx) where
> check_spec_expr(llnd = (nil)), line 431 in "expr.c"
> is_specification_expr(ddot = (nil)), line 64 in "spec_stmt.c"
> is_assume_size(range = 0x2008b5a8), line 115 in "spec_stmt.c"
> check_dirsequence_attribute(), line 1997 in "spec_stmt.c"
> check_at_end_of_spec(), line 780 in "hpfcc.c"
> check_one_program_unit(unit_hdr = 0x200702bc, unit_end = 0x20070ef4), line 217
> in "hpfcc.c"
> semantic_check(), line 130 in "hpfcc.c"
> main(argc = 2, argv = 0x2ff7fc9c, envp = 0x2ff7fca4), line 106 in "hpfcc.c"
> 
> (dbx) print *range
> (variant = 312, id = 2469, thread = 0x2008b5d0, type = (nil), attr = 0,
> const_val = 0, entry = [union])
> 
> 

	I think it's ok now .

thanks,

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************